#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file acts as a stepping stone to launch ecTrans on an interactive node.
# ------------------------------------------------------------------------------

# Load helpers for color printing.
source helpers.sh

# Load directory structure for installation paths.
source dirs.sh

[ -z "$SLURM_JOBID" ] && fatal "Not inside a Slurm session!"
echo "SLURM_JOBID=$SLURM_JOBID"
echo --jobid=$SLURM_JOB_ID --nodelist $SLURM_NODELIST

# Specify where to store results.
RESULTS="$RESULTS_DIR/interactive"
rm -rf $RESULTS
mkdir -p $RESULTS

srun --overlap --jobid=$SLURM_JOB_ID --nodelist $SLURM_NODELIST --cpu-bind=no \
    --gpus-per-node=8 --ntasks-per-node=8 --output=$RESULTS/out.%j.%t \
    --error=$RESULTS/err.%j.%t --input=none "./ectrans-lumi-g.sh"
